!-----------------------------------------------------------------------
!  PSGHECI -- CROSS SECTION OF C+6 + HE --> C+6 + HE+
!
real(fp) FUNCTION psgheci8(ZE)
!
! INPUT
!  ZE -- COLLISION ENERGY **PER NUCLEON**  EV/AMU
!
! OUTPUT
!  PSGHECI -- CROSS SECTION, CM**2
!
! REFERENCE
!  ORNL-6090/V5, ATOMIC DATA FOR FUSION, VOLUME V,
!    "COLLISIONS OF CARBON AND OXYGEN IONS WITH ELECTRONS, H, H2, & He"
!    R.A. PHANEUF, R.K. JANEV, M.S. PINDZOLA
!
!============
! idecl:  explicitize implicit REAL declarations:
  use iso_c_binding, only: fp => c_double
  IMPLICIT NONE
  real(fp) ze,emin,emax,zans,psgchvx8
!============
  real(fp) CCHEV(9)
!
  DATA EMIN/7.0e+4_fp/
  DATA EMAX/1.0e+7_fp/
!
  DATA CCHEV/&
       -7.14158e+01_fp,-4.33084e-1_fp,-7.87646e-1_fp,&
       2.87762e-1_fp,-6.17663e-2_fp,-1.55591e-2_fp,&
       2.35773e-2_fp,-5.56158e-3_fp,-1.02408e-2_fp/
!
  ZANS=psgchvx8(2,ZE,EMIN,EMAX,CCHEV)
  psgheci8=ZANS
!
  RETURN
END FUNCTION psgheci8
! 21Jun2001 fgtok -s r8_precision.sub foo.tab "r8con.csh conversion"
! 21Jun2001 fgtok
